﻿using UnityEngine;
using System.Collections;

public class RotateYAxis : MonoBehaviour 
{
	public float yRatePerSec = 15.0f;

	void Start () 
	{
	
	}
	
	void Update () 
	{
		float newYAngle = this.gameObject.transform.rotation.eulerAngles.y;
		newYAngle += yRatePerSec * Time.deltaTime;

		this.gameObject.transform.rotation = Quaternion.AngleAxis(newYAngle, Vector3.up);
	}
}
