﻿using UnityEngine;
using System;
using System.Collections;

public class TitleLogic : MonoBehaviour
{
	public GameObject timeText;
	public float hiscoreIngameTime = 0.0f;

	void Awake()
	{
		hiscoreIngameTime = PlayerPrefs.GetFloat("hiscoreIngameTime");
	}
	
	void Start () 
	{	
		HandleHiscoreIngameTimeDisplay ();
	}
	
	void Update () 
	{
	}

	public void OnClickNewGame () 
	{
		Application.LoadLevel("Level1");
	}

	void HandleHiscoreIngameTimeDisplay ()
	{
		int hours = (int)(hiscoreIngameTime / (60.0f * 60.0f));
		int minutes = (int)((hiscoreIngameTime / 60.0f) % 60.0f);
		int seconds = (int)(hiscoreIngameTime % 60.0f);
		
		string timeDisplayText = String.Format("Hiscore Time Attack: {0}:{1:00}:{2:00}", hours, minutes, seconds);
		timeText.GetComponent<UnityEngine.UI.Text>().text = timeDisplayText;
	}

}
